
/*
typedef struct{ 
uint8_t sec;
uint8_t min;
uint8_t hour; 
uint8_t day;   
uint8_t wday;
uint8_t mon;
uint8_t year;
}DATETIME_T;
*/

int8_t checkSummertime(DATETIME_T *DT){
   static uint8_t Summertime=255;     //255 means not definied (eg after PowerUp)
   if(DT->wday == SUNDAY && DT->day > 24){
      if(DT->mon==3 && DT->hour==2 && (!Summertime || Summertime==255)){
         Summertime=TRUE;
         DT->hour++;
         return 1;
      }
      else if(DT->mon==10 && DT->hour==3 && (Summertime || Summertime==255)){
         Summertime=FALSE;
         DT->hour--;
         return -1;
      }
   }
   return 0;
}



static const unsigned char days_in_month[] =
{ 0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 };
BOOL isDateValid(DATETIME_T *date){
   uint8_t leap = ((date->mon == 2) && ((date->year % 4) == 0)) ? 1 : 0;
   if(date->year > 99 || date->year < 1 || date->mon > 12 || date->mon < 1 || date->day < 1 || date->day > (days_in_month[date->mon] + leap))
      return FALSE;
   else
      return TRUE;
}

BOOL isTimeValid(DATETIME_T *time){
   if(time->hour > 23 || time->min > 59 || time->sec > 59)
      return FALSE;
   else
      return TRUE;
}